=== dists/debian/rules ===
#!/usr/bin/make -f

build: doc/README.pdf scummvm

doc/README.pdf:
	(cd doc; latex readme.tex)
	(cd doc; latex readme.tex)
	dvips -q -f doc/readme.dvi | gs -q -dNOPAUSE -dBATCH \
	                                -sDEVICE=pdfwrite \
					-sOutputFile=doc/README.pdf -

scummvm:
	dh_testdir
	./configure
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	-rm doc/readme.aux doc/readme.dvi doc/readme.log doc/readme.out \
	    doc/readme.toc doc/README.pdf
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	install -m0755 scummvm debian/scummvm/usr/games/scummvm
	install -m0644 scummvm.xpm debian/scummvm/usr/share/icons

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs NEWS
	dh_installman
	dh_installmenu
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: build clean binary install binary-arch binary-indep
